package com.utopiaindustries.model.ctp;

import java.time.LocalDateTime;
import java.util.List;

public class MasterBundle implements InventoryArtifact{

    private long id;
    private String barcode;
    private long itemId;
    private String sku;
    private String createdBy;
    private LocalDateTime createdAt;
    private boolean isReceived;
    private long jobCardId;
    // wrapper
    private List<Bundle> bundles;
    private List<FinishedItem> items;

    public long getId() {
        return id;
    }

    @Override
    public String getType() {
        return "";
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public long getItemId() {
        return itemId;
    }

    public void setItemId(long itemId) {
        this.itemId = itemId;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public long getJobCardId() {
        return jobCardId;
    }

    public void setJobCardId(long jobCardId) {
        this.jobCardId = jobCardId;
    }

    public boolean getIsReceived() {
        return isReceived;
    }

    public void setIsReceived(boolean received) {
        isReceived = received;
    }

    public List<Bundle> getBundles() {
        return bundles;
    }

    public void setBundles(List<Bundle> bundles) {
        this.bundles = bundles;
    }

    public List<FinishedItem> getItems() {
        return items;
    }

    public void setItems(List<FinishedItem> items) {
        this.items = items;
    }

    @Override
    public String toString() {
        return "MasterBundle{" +
                "id=" + id +
                ", barcode='" + barcode + '\'' +
                ", itemId=" + itemId +
                ", sku='" + sku + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdAt=" + createdAt +
                ", isReceived=" + isReceived +
                ", jobCardId=" + jobCardId +
                '}';
    }
}
